=== modified file 'NEWS'
--- NEWS	2008-08-29 12:24:53 +0000
+++ NEWS	2008-08-29 15:28:46 +0000
@@ -4,8 +4,21 @@
 
 .. contents::
 
-bzr 1.6.1rc1 IN DEVELOPMENT
----------------------------
+bzr 1.6.1rc1 2008-08-29
+-----------------------
+
+This release fixes a few regressions found in the 1.6 client. Fetching
+changes was using an O(N^2) buffering algorithm, so for large projects it
+would cause memory thrashing. There is also a specific problem with the
+``--1.6-rich-root`` format, which prevented stacking on top of
+``--rich-root-pack`` repositories, and could allow users to accidentally
+fetch experimental data (``-subtree``) without representing it properly.
+The ``--1.6-rich-root`` format has been deprecated and users are
+recommended to upgrade to ``--1.6.1-rich-root`` immediately.  Also we
+re-introduced a workaround for users who have repositories with incorrect
+nodes (not possible if you only used official releases).
+I should also clarify that none of this is data loss level issues, but
+still sufficient enough to warrant an updated release.
 
   BUG FIXES:
 

=== modified file 'bzr'
--- bzr	2008-08-13 17:35:34 +0000
+++ bzr	2008-08-29 16:39:11 +0000
@@ -22,7 +22,7 @@
 import sys
 
 # update this on each release
-_script_version = (1, 6, 0)
+_script_version = (1, 6, 1)
 
 if __doc__ is None:
     print "bzr does not support python -OO."

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2008-08-25 14:06:14 +0000
+++ bzrlib/__init__.py	2008-08-29 15:30:30 +0000
@@ -41,7 +41,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (1, 6, 0, 'final', 0)
+version_info = (1, 6, 1, 'candidate', 1)
 
 
 # API compatibility version: bzrlib is currently API compatible with 1.6.

